Package org.openoffice.da.comp.w2lcommon.helper

# Class StyleNameProvider

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.StyleNameProvider

public class StyleNameProvider extends Object
This class provides access to the style names and localized style names of the current document

## Constructor Summary

Constructors
Constructor
Description
`StyleNameProvider(com.sun.star.uno.XComponentContext xContext)`
Construct a new `StyleNameProvider`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getDisplayNames(String sFamily)`
Get the mapping of internal names to display names for a style family
`Map<String,String>`
`getInternalNames(String sFamily)`
Get the mapping of display names to internal names for a style family

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyleNameProvider

public StyleNameProvider(com.sun.star.uno.XComponentContext xContext)
Construct a new `StyleNameProvider`

Parameters:
  `xContext` - the componemt context to get the desktop from

## Method Details

### getDisplayNames

public Map<String,String> getDisplayNames(String sFamily)
Get the mapping of internal names to display names for a style family

Parameters:
  `sFamily` - the style family (for text documents this should be CharacterStyles, ParagraphStyles, FrameStyles, PageStyles or NumberingStyles)
Returns:
  a read only map from internal names to display names, or null if the family is not known to the provider

### getInternalNames

public Map<String,String> getInternalNames(String sFamily)
Get the mapping of display names to internal names for a style family

Parameters:
  `sFamily` - the style family (for text documents this should be CharacterStyles, ParagraphStyles, FrameStyles, PageStyles or NumberingStyles)
Returns:
  a read only map from display names to internal names, or null if the family is not known to the provider